<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-warning">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b style="font-family: monospace;">PENGGABUNGAN OBJEK PAJAK</b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div class="row" style="overflow: auto">
                        <table class="table table-condensed table-bordered cf tableDaftar" style="font-size: 11px; color:black">
                            <thead class="cf" style="background-color: blue">
                                <tr class="bg-blue">
                                    <th style="background-color: #00BCA4; color: white; text-align: center">No.</th>            
                                    <th style="background-color: #00BCA4; color: white; text-align: center">Tgl. Daftar</th>         
                                    <th style="background-color: #00BCA4; color: white; text-align: center">NPWPD</th> 
                                    <th style="background-color: #00BCA4; color: white; text-align: center">Nama</th> 
                                    <th style="background-color: #00BCA4; color: white; text-align: center">Alamat</th>         
                                    <th style="background-color: #00BCA4; color: white; text-align: center">Jumlah Objek</th>  
                                    <th style="background-color: #00BCA4; color: white; text-align: center">#</th>  
                                </tr>
                                <tr class="bg-default">
                                    <td></td>
                                    <td><input type="text" id="t_tgldaftar_cari_0" class="form-control input-sm" onchange="calldatagrid()"></td>
                                    <td><input type="text" id="t_npwpd_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                                    <td><input type="text" id="t_nama_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                                    <td><input type="text" id="t_alamat_lengkap_cari_0" class="form-control input-sm" onkeyup="calldatagrid()"></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </thead>
                            <tbody id="body_grid">
                            </tbody>
                        </table>
                        <div class="row">
                            <div class="col-sm-3 text-left">
                                <span>
                                    <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                                        <option value="10">10</option>
                                        <option value="20">20</option>
                                        <option value="30">30</option>
                                        <option value="40">40</option>
                                        <option value="50">50</option>
                                    </select>
                                </span>
                            </div>
                            <div class="col-sm-6" style="text-align: center">
                                <center>
                                    <div id="paginatore"></div>
                                    <input type="hidden" id="page" value="1">
                                </center>
                            </div>
                            <div class="col-sm-3 text-right">
                                <span>
                                    <p>
                                        <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                                    </p>  
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    .tableDaftar {
        width: 100%;
        border-collapse: collapse;
    }
    .tableDaftar tr:hover {
        background: #edf968; 
    }
    .tableDaftar td {
        border: 1px solid #eee;
    }
</style>
<script type="text/javascript">
    $(function () {
        $('#t_tgldaftar_cari_0').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid();
        });
    });

    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        datagrid($("#page").val(), $("#rows").val(), direction);
    }

    function datagrid(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGrid/' + page + '/' + row + '/' + direction, {
            t_tgldaftar: $('#t_tgldaftar_cari_0').val(),
            t_npwpd: $('#t_npwpd_cari_0').val(),
            t_nama: $('#t_nama_cari_0').val(),
            t_alamat_lengkap: $('#t_alamat_lengkap_cari_0').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#body_grid").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#paginatore").html(aa.paginatore);
            $("#awaldata").html(aa.awaldata);
            $("#akhirdata").html(aa.akhirdata);
        });
    }
</script>
